print("Chargement des librairies")
import pyaudio
import wave
import os
import matplotlib.pyplot as plt
import numpy as np
import math
print("Creation d'une instance pyaudio")
p=pyaudio.PyAudio()
print("Ouverture du flux audio")
CHUNK = 16384
FORMAT = pyaudio.paInt16
CHANNELS = 1
RATE = 44100
RECORD_SECONDS = 50
WAVE_OUTPUT_FILENAME = "output.wav"
stream = p.open(format=FORMAT,channels=CHANNELS,rate=RATE,
                input=True,frames_per_buffer=CHUNK)
print("Debut de l'acquisition")
frames = []
nb_mesures = int(RATE / CHUNK * RECORD_SECONDS) ; 
for i in range(0, nb_mesures):
    data = stream.read(CHUNK)
    donnees = np.fromstring(data,dtype=np.int16)
    somme_carre=0
    for j in range(1,len(donnees)):
        somme_carre=somme_carre+(np.long(donnees[j]))**2
    somme_carre=somme_carre/CHUNK
    print(somme_carre)
    print(10*math.log10(somme_carre))
print("Fermeture du flux audio")
stream.stop_stream()
stream.close()
print("Fermeture de l'instance pyaudio")
p.terminate()
